Bug 178989 - [PATCH] archivers/libpar2: USE_GCC
Summary: [PATCH] archivers/libpar2: USE_GCC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-26 14:30 UTC by William Grzybowski
Modified: 2013-05-27 14:00 UTC (History)
0 users

See Also:


Attachments
libpar2.patch (278 bytes, patch)
2013-05-26 14:30 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski 2013-05-26 14:30:00 UTC
	This does not compile with clang

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-05-26 14:30:07 UTC
Maintainer of archivers/libpar2,

Please note that PR ports/178989 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178989

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-05-26 14:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Toxic 2013-05-26 17:54:37 UTC
I approve this patch.

On 5/26/13 6:30 AM, Edwin Groothuis wrote:
> Maintainer of archivers/libpar2,
>
> Please note that PR ports/178989 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178989
>
Comment 4 William Grzybowski freebsd_committer 2013-05-26 20:51:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-05-27 13:54:01 UTC
Author: wg
Date: Mon May 27 12:53:53 2013
New Revision: 319229
URL: http://svnweb.freebsd.org/changeset/ports/319229

Log:
  - Use gcc for now (does not compile with clang)
  
  Upstream seems inactive for about 7 years
  
  PR:		ports/178989
  Submitted by:	wg (myself)
  Approved by:	culot (mentor)

Modified:
  head/archivers/libpar2/Makefile

Modified: head/archivers/libpar2/Makefile
==============================================================================
--- head/archivers/libpar2/Makefile	Mon May 27 12:53:33 2013	(r319228)
+++ head/archivers/libpar2/Makefile	Mon May 27 12:53:53 2013	(r319229)
@@ -17,6 +17,7 @@ GNU_CONFIGURE=	yes
 LDFLAGS+=	-L${LOCALBASE}/lib
 CPPFLAGS+=	-I${LOCALBASE}/include
 
+USE_GCC=	any
 USE_LDCONFIG=	yes
 USES=		pkgconfig
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 William Grzybowski freebsd_committer 2013-05-27 14:00:42 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!